Subject: Re: bug#6855: 24.0.50; Bug in tool bar label handling

From: Andreas Schwab <[email-masked]>
Date: Sun, 15 Aug 2010 10:51:37 +0200

Jan Djärv <[email-masked]> writes:

> We kind of assume people do the sensible thing and put in strings.  It is the
> same as for help and image.  If Emacs crashes because somebody didn't put
> in a string, that is actually a good thing IMHO.  The error becomes very
> apparent then.

I don't agree.  Emacs should be robust against type mismatches, crashing
is the worst possible reaction.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."